%define name gnotepad+
%define version 1.3.3
%define release 1mdk

Summary: Extremely simple, and feature-rich, HTML/text editor for GTK/GNOME.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Url: http://gnotepad.sourceforge.net
Group: Editors
Source: %{name}-%{version}.tar.bz2
Source1: gnotepad+
Requires: gtk+ >= 1.2.0 glib >= 1.2.0
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
gnotepad+ is an easy-to-use, yet fairly feature-rich, simple HTML/text
editor for systems running X11 and using GTK+/GNOME. It is designed
for as little bloat as possible, while still providing many of the
common features found in a modern GUI-based text editor.

%prep

%setup -q

%build

%configure

%install
rm -rf $RPM_BUILD_ROOT
# The makeinstall macro didnt work
make DESTDIR=$RPM_BUILD_ROOT gnulocaledir=$RPM_BUILD_ROOT%{_datadir}/locale install
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
cp src/xpm/gnp48x48.xpm $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cp %{SOURCE1} $RPM_BUILD_ROOT/%{_menudir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS HACKING NEWS README TODO ChangeLog
%{_bindir}/gnp
%{_mandir}/man1/gnp.1*
%{_datadir}/gnome/apps/Applications/gnotepad+.desktop
%{_datadir}/gnome/help/gnotepad+/*
%{_datadir}/gnotepad+
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/*
%lang(da) %{_datadir}/locale/da/LC_MESSAGES/*
%lang(ja) %{_datadir}/locale/ja/LC_MESSAGES/*
%{_iconsdir}/*
%{_menudir}/*

%changelog
* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.3-1mdk
- updated to 1.3.3

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-2mdk
- clean spec

* Mon Jul 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-1mdk
- some adaptations

* Thu Jul 20 2000 Gtz Waschk <waschk@linux-mandrake.com> 
- initial mandrake package
